# Returns a exhibitor reg process from the system by its ID. This method will look up a exhibitor reg process by the specified ID and return it back. Endpoint: GET /exhibitorRegProcesses/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the exhibitor reg process to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `add_on_rules` (array, required) - `add_on_rules.booth_number_restrictions` (object) - `add_on_rules.booth_number_restrictions.range_end` (number) Number of booths range end - `add_on_rules.booth_number_restrictions.range_start` (number) Number of booths range start - `add_on_rules.custom_error_message` (string) Optional message to show when restriction is not met - `add_on_rules.expression_restriction` (object) - `add_on_rules.expression_restriction.expression` (string, required) The restriction - `add_on_rules.id` (string, required) - `add_on_rules.organization_restrictions` (object) - `add_on_rules.organization_restrictions.organization_ids` (array, required) The specific organizations to which this rule applies - `add_on_rules.organization_restrictions.restriction_type` (string, required) Tye pf restriction (all/none) Enum: "all except specified", "all specified" - `add_on_rules.priority_point_restrictions` (object) - `add_on_rules.priority_point_restrictions.priority_point_type_id` (string, required) Type of priority point - `add_on_rules.restrict_by_number_of_booths` (boolean) If true, this rule takes into account the number of booths selected - `add_on_rules.restrict_by_priority_points` (boolean) If true, then we want to restrict b priority points - `add_on_rules.restrict_by_square_footage` (boolean) - `add_on_rules.restrict_to_specific_organizations` (boolean) If true, only specific organizations have this rule applied to them - `add_on_rules.restriction_type` (string) Enum: "expression", "simple" - `add_on_rules.simple_restriction` (object) - `add_on_rules.simple_restriction.add_on_product_ids` (array) The add on products to which this rule applies - `add_on_rules.simple_restriction.maximum_quantity` (number) The maximum quantity of add on products that can be selected from the group of product IDs - `add_on_rules.simple_restriction.minimum_quantity` (number) The minimum quantity of add on products that can be selected from the group of product IDs - `add_on_rules.square_footage_restrictions` (object) - `add_on_rules.square_footage_restrictions.range_end` (number) Start of the square footage range - `add_on_rules.square_footage_restrictions.range_start` (number) Start of the square footage range - `booth_hold_time` (number) The amount of time a booth should be held once selected during a checkout process - `booth_type_prices` (array, required) - `booth_type_prices.booth_fee_id` (string, required) The booth fee associated with this type - `booth_type_prices.booth_type_id` (string, required) The booth type - `checkout_settings` (object, required) - `checkout_settings.allow_customer_to_choose_installment_plan` (boolean) If true, the customer can choose their installment plan - `checkout_settings.bank_account_id` (string, required) The default bank account that the store should use to receive payments - `checkout_settings.bill_my_organization_options` (object) - `checkout_settings.bill_my_organization_options.billing_address` (string) Enum: "do not show", "optional", "required" - `checkout_settings.bill_my_organization_options.purchase_order_number` (string) Enum: "do not show", "optional", "required" - `checkout_settings.bill_my_organization_options.reference_number` (string) The reference # - `checkout_settings.bill_my_parent_organization_options` (object) - `checkout_settings.business_unit_id` (string, required) The business unit of the store - `checkout_settings.cancellation_fee_product_id` (string) The ID of the product used for cancellation fees - `checkout_settings.checkout_donation_options` (object) - `checkout_settings.checkout_donation_options.simple_checkout_donation_options` (object) - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean) If set, the user can specify their own custom donation - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string) The text shown to the user when making the donation - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array) - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_information` (string) Additional information about the donation - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required) The misc product that should be used - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean) If set, donation denominations are specified here and the defaults are not used - `checkout_settings.checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number) A suggested donation - `checkout_settings.checkout_donation_options.type` (string) Enum: "simple" - `checkout_settings.credit_card_minimum_range_end` (number) If set, the maximum amount for which credit cards can be taken - `checkout_settings.credit_card_minimum_range_start` (number) If set, the minimum amount for which credit cards can be taken - `checkout_settings.credit_card_mode` (string) Determines whether or not credit cards are accepted Enum: "disabled", "enabled", "range" - `checkout_settings.credit_card_processing_fee_mode` (string) Determines how credit card processing fees should be handled Enum: "charge", "do not charge", "prompt user" - `checkout_settings.credit_card_processing_fee_options` (object) - `checkout_settings.credit_card_processing_fee_options.fee_percentage` (number, required) The fee percentage to charge for credit card processing - `checkout_settings.credit_card_processing_fee_options.maximum_fee` (number) The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged - `checkout_settings.credit_card_processing_fee_options.minimum_fee` (number) The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged - `checkout_settings.credit_card_processing_fee_options.product_id` (string, required) The misc product to use for the credit card processing - `checkout_settings.credit_card_processing_fee_options.prompt_sub_text` (string) Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `checkout_settings.credit_card_processing_fee_options.prompt_text` (string) The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `checkout_settings.disable_electronic_payment_vaulting` (boolean) If set, in the portal people are not allowed to save credit cards - `checkout_settings.enable_bill_my_organization` (boolean) If set, the user has the option to bill their organization - `checkout_settings.enable_bill_my_parent_organization` (boolean) If set, the user has the option to bill their organization's parent organization - `checkout_settings.enable_donations_at_checkout` (boolean) If selected, users will be prompted to make a donation upon checking out - `checkout_settings.enable_electronic_checks` (boolean) If set, electronic checks are allowed - `checkout_settings.enable_pay_later` (boolean) If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed - `checkout_settings.enable_payroll_deduction` (boolean) If set, payroll deduction is allowed - `checkout_settings.enable_split_payments` (boolean) If set, users are allowed to split payments - `checkout_settings.installment_plan_options` (array) - `checkout_settings.invoice_payment_terms_id` (string) The payment terms for invoices; if left blank, default is used - `checkout_settings.invoice_template_id` (string) The template to use for invoices created during this process - `checkout_settings.merchant_account_id` (string, required) The merchant account that the store should use to receive payments - `checkout_settings.pay_later_options` (object) - `checkout_settings.restocking_fee_product_id` (string) The ID of the product used for restocking fees - `checkout_settings.special_instructions` (string) Instructions shown to the user - `checkout_settings.use_pro_forma_invoices` (boolean) Whether to use pro forma invoices when user elects to pay later - `close_date` (string, required) The date at which the process is closed and no longer available - `confirmation_email` (object, required) The email to send when the application is received - `confirmation_email.bcc` (string) Anyone that should be bcc'ed on the email - `confirmation_email.body` (string, required) The email body - `confirmation_email.cc` (string) Anyone that should be cc'ed on the email - `confirmation_email.from` (string) From email address - `confirmation_email.from_name` (string) From name - `confirmation_email.reply_to` (string) The reply to - `confirmation_email.subject` (string, required) The email subject - `contact_form_options` (object, required) - `contact_form_options.contact_form_id` (string, required) The default contact form to present to the user to verify the contact info before proceeding - `contact_form_options.html` (string) Text to show on the top of the form - `custom_confirmation_page_html` (string, required) The custom confirmation page HTML - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `description` (string) Description of the process - `display_in_portal_as` (string) How this process should appear in the portal - `display_order` (number) The display order - `eligibility_criteria` (object, required) The criteria to use - `eligibility_criteria.advanced_rule_error_message` (string) The error message to show when the advanced rule fails - `eligibility_criteria.advanced_rules` (object) - `eligibility_criteria.age_restrictions` (object) - `eligibility_criteria.age_restrictions.maximum_age` (number) The maximum age of the contact - `eligibility_criteria.age_restrictions.minimum_age` (number) The minimum age of the contact - `eligibility_criteria.award_options` (object) - `eligibility_criteria.award_options.award_ids` (array) - `eligibility_criteria.award_options.award_type_ids` (array) - `eligibility_criteria.award_options.logic_operator` (string) Enum: "and", "not" - `eligibility_criteria.award_recipients` (boolean) If set, only people who have received awards - `eligibility_criteria.by_location` (boolean) If true, then filter by location - `eligibility_criteria.certificants` (boolean) If set, only people with specific certifications - `eligibility_criteria.certification_options` (object) - `eligibility_criteria.certification_options.program_ids` (array) - `eligibility_criteria.committee_member_options` (object) - `eligibility_criteria.committee_member_options.committee_ids` (array) - `eligibility_criteria.committee_member_options.committee_position_ids` (array) - `eligibility_criteria.committee_member_options.committee_type_ids` (array) - `eligibility_criteria.committee_members` (boolean) If set, active members who belong to a committee can purchase - `eligibility_criteria.custom_logic_options` (object) - `eligibility_criteria.custom_logic_options.lambda_function_id` (string, required) The custom lambda function to use - `eligibility_criteria.customer_type` (string) Enum: "contact", "organization" - `eligibility_criteria.donor_options` (object) - `eligibility_criteria.donor_options.donor_club_ids` (array) - `eligibility_criteria.donors` (boolean) If true, only donors - `eligibility_criteria.enable_advanced_rules` (boolean) Enable advanced JSON rules - `eligibility_criteria.enable_age_restrictions` (boolean) Age registrations - `eligibility_criteria.enable_custom_logic` (boolean) If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion - `eligibility_criteria.enable_entitlement_restrictions` (boolean) If set, then you must have certain entitlements - `eligibility_criteria.enable_expression` (boolean) Whether or not to enable an expression for evaluation - `eligibility_criteria.enable_organization_restrictions` (boolean) If set, you can restrict organizations - `eligibility_criteria.enable_status_restriction` (boolean) If set, you can restrict by status - `eligibility_criteria.entitlement_restrictions` (array) - `eligibility_criteria.entitlement_restrictions.quantity` (number) The quantity you must have - `eligibility_criteria.entitlement_restrictions.type_id` (string, required) The type of entitlement - `eligibility_criteria.event_registration_options` (object) - `eligibility_criteria.event_registration_options.event_ids` (array) - `eligibility_criteria.event_registration_options.registration_category_ids` (array) - `eligibility_criteria.event_registrations` (boolean) If set, only people who have registered for events - `eligibility_criteria.expression` (string) The expression - `eligibility_criteria.expression_error_message` (string) The error message to show when the expression fails - `eligibility_criteria.location` (object) - `eligibility_criteria.location.countries` (array) Countries - `eligibility_criteria.location.negate_logic` (boolean) If true, the logic in this section is negated; so NOT from these places - `eligibility_criteria.member_options` (object) - `eligibility_criteria.member_options.chapter_member_options` (object) - `eligibility_criteria.member_options.chapter_member_options.chapter_ids` (array) - `eligibility_criteria.member_options.chapter_member_options.chapter_type_ids` (array) - `eligibility_criteria.member_options.chapter_members` (boolean) If set, active members who belong to a chapter can purchase - `eligibility_criteria.member_options.member_package_ids` (array) The member package - `eligibility_criteria.member_options.member_status_reason_ids` (array) - `eligibility_criteria.member_options.member_statuses` (array) Enum: "active", "inactive", "suspended" - `eligibility_criteria.member_options.member_type_ids` (array) The member types - `eligibility_criteria.member_options.section_member_options` (object) - `eligibility_criteria.member_options.section_member_options.section_ids` (array) - `eligibility_criteria.member_options.section_member_options.section_type_ids` (array) - `eligibility_criteria.member_options.section_members` (boolean) If set, active members who belong to a section can purchase - `eligibility_criteria.members` (boolean) If set, active members can purchase this - `eligibility_criteria.non_members` (boolean) If set, only nonmembers can purchase - `eligibility_criteria.status_restrictions` (array) The statuses - `eligibility_criteria.use_organization_for_eligibility` (boolean) If checked, a person's organization is used to check for eligibility, rather than the person themselves - `enable_add_on_rules` (boolean) If set, you can define rules about how many adds on can or should be selected - `enable_confirmation_email` (boolean) Whether or not an email should be sent when the application is received - `enable_custom_confirmation_page_html` (boolean) enable custom text to show on the confirmation page - `enable_eligibility_criteria` (boolean) If set, only certain people can register with this type - `event_id` (string, required) The event - `form_id` (string, required) The registration form - `id` (string, required) The unique, string identifier of this exhibitor reg process - `is_active` (boolean) Whether or not this exhibitor reg process is active - `name` (string, required) The name of the exhibitor reg process - `open_date` (string, required) The date at which the process is open - `organization_form_options` (object, required) - `organization_form_options.organization_form_id` (string, required) The default organization form to present to the user to verify the organization info before proceeding - `override_checkout_settings` (boolean) Whether or not to override POC settings - `priority_point_restriction` (object, required) - `priority_point_restriction.maximum` (number) The maximum number of points - `priority_point_restriction.minimum` (number) The minimum number of points - `priority_point_restriction.priority_point_type_id` (string, required) The type of priority point - `restrict_by_priority_points` (boolean) If true, this process is only available to people with a certain number of priority points - `selectable_in_portal` (boolean) Whether this type can be chosen in the portal - `selection_mode` (string, required) Determines how the user will select booths for this floor Enum: "select booth types", "select booths", "virtual show floor" - `show_contact_form` (boolean) Whether or not to show a contact form - `show_organization_form` (boolean) Whether or not to show an organization form - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields